name: cpphs
version: 1.19.3
id: cpphs-1.19.3-3CUnFHz9uegIX6e6hlBlNd
key: cpphs-1.19.3-3CUnFHz9uegIX6e6hlBlNd
license: LicenseRef-LGPL
copyright: 2004-2015, Malcolm Wallace
maintainer: Malcolm Wallace <Malcolm.Wallace@me.com>
author: Malcolm Wallace <Malcolm.Wallace@me.com>
homepage: http://projects.haskell.org/cpphs/
synopsis: A liberalised re-implementation of cpp, the C pre-processor.
description:
    Cpphs is a re-implementation of the C pre-processor that is both
    more compatible with Haskell, and itself written in Haskell so
    that it can be distributed with compilers.
    .
    This version of the C pre-processor is pretty-much
    feature-complete and compatible with traditional (K&R)
    pre-processors.  Additional features include: a plain-text mode;
    an option to unlit literate code files; and an option to turn
    off macro-expansion.
category: Development
abi: a46b14726977fbcf32604ffed14beebf
exposed: True
exposed-modules:
    Language.Preprocessor.Cpphs Language.Preprocessor.Unlit
hidden-modules: Language.Preprocessor.Cpphs.CppIfdef
                Language.Preprocessor.Cpphs.HashDefine
                Language.Preprocessor.Cpphs.MacroPass
                Language.Preprocessor.Cpphs.Options
                Language.Preprocessor.Cpphs.Position
                Language.Preprocessor.Cpphs.ReadFirst
                Language.Preprocessor.Cpphs.RunCpphs
                Language.Preprocessor.Cpphs.SymTab
                Language.Preprocessor.Cpphs.Tokenise
import-dirs: /usr/local/lib/ghc/cpphs-1.19.3
library-dirs: /usr/local/lib/ghc/cpphs-1.19.3
dynamic-library-dirs: /usr/local/lib/ghc/cpphs-1.19.3
data-dir: /usr/local/share/hs-cpphs-1.19.3
hs-libraries: HScpphs-1.19.3-3CUnFHz9uegIX6e6hlBlNd
depends:
    base-4.12.0.0 directory-1.3.3.0
    old-locale-1.0.0.7-D4Rn5zPhtMJBwwirPJNu78
    old-time-1.1.0.3-2XkcGgLYS3G4Bt8PCBG9iL
    polyparse-1.12.1-FeZxex5koKh2BIaglzjzIj
haddock-interfaces: /usr/local/share/doc/hs-cpphs-1.19.3/html/cpphs.haddock
haddock-html: /usr/local/share/doc/hs-cpphs-1.19.3/html
